package cn.tsy.data.idsse.dsds.model.rescue;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 应急救援：附件信息
 * 
 * @author: zxq
 * @date: 2025-08-18 16:24:11
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "RESCUE_FILE", key = "TSY_ID")
public class RescueFile extends HmeBean {
	private static final long serialVersionUID = -6468597691895298664L;
	private Integer tsy_id;
	// 应急编号
	private Integer rescue_id;
	// 附件原始名称
	private String file_org_name;
	// 附件真实名称
	private String file_real_name;
	// 全路径
	private String file_path;
	// 文件大小
	private String file_length;
	// 备注信息
	private String file_note;

	public Integer getTsy_id() {
		return this.tsy_id;
	}

	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 应急编号
	 */
	public Integer getRescue_id() {
		return this.rescue_id;
	}

	/****
	 * 应急编号
	 */
	public void setRescue_id(Integer rescue_id) {
		this.rescue_id = rescue_id;
	}

	/****
	 * 附件原始名称
	 */
	public String getFile_org_name() {
		return this.file_org_name;
	}

	/****
	 * 附件原始名称
	 */
	public void setFile_org_name(String file_org_name) {
		this.file_org_name = file_org_name;
	}

	/****
	 * 附件真实名称
	 */
	public String getFile_real_name() {
		return this.file_real_name;
	}

	/****
	 * 附件真实名称
	 */
	public void setFile_real_name(String file_real_name) {
		this.file_real_name = file_real_name;
	}

	/****
	 * 全路径
	 */
	public String getFile_path() {
		return this.file_path;
	}

	/****
	 * 全路径
	 */
	public void setFile_path(String file_path) {
		this.file_path = file_path;
	}

	/****
	 * 文件大小
	 */
	public String getFile_length() {
		return this.file_length;
	}

	/****
	 * 文件大小
	 */
	public void setFile_length(String file_length) {
		this.file_length = file_length;
	}

	/****
	 * 备注信息
	 */
	public String getFile_note() {
		return this.file_note;
	}

	/****
	 * 备注信息
	 */
	public void setFile_note(String file_note) {
		this.file_note = file_note;
	}

}